<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonTxGainPhaMisRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonTxGainPhaMisRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing the measured Tx gain and phase mismatch values during an explicit monitoring chirp. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_TX_GAIN_MISMATCH_REPORT.  
 <a href="structrl_mon_tx_gain_pha_mis_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a12b59d7b76cc1ae4ec700cda0c804e99"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12b59d7b76cc1ae4ec700cda0c804e99"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_gain_pha_mis_rep__t.html#a12b59d7b76cc1ae4ec700cda0c804e99">statusFlags</a></td></tr>
<tr class="memdesc:a12b59d7b76cc1ae4ec700cda0c804e99"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding <br />
 to various threshold checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 [0] STATUS_TX_GAIN_MISMATCH <br />
 [1] STATUS_TX_PHASE_MISMATCH <br />
 [15:2]RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a12b59d7b76cc1ae4ec700cda0c804e99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9233fb2f2891c1ee9f20e03106b5e143"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9233fb2f2891c1ee9f20e03106b5e143"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_gain_pha_mis_rep__t.html#a9233fb2f2891c1ee9f20e03106b5e143">errorCode</a></td></tr>
<tr class="memdesc:a9233fb2f2891c1ee9f20e03106b5e143"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:a9233fb2f2891c1ee9f20e03106b5e143"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a471075d794937a10d8091dde3ad71012"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a471075d794937a10d8091dde3ad71012"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_gain_pha_mis_rep__t.html#a471075d794937a10d8091dde3ad71012">profIndex</a></td></tr>
<tr class="memdesc:a471075d794937a10d8091dde3ad71012"><td class="mdescLeft">&#160;</td><td class="mdescRight">Profile Index for which this monitoring report applies. <br /></td></tr>
<tr class="separator:a471075d794937a10d8091dde3ad71012"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca30d3a017281d9fa66fef0a918e89ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca30d3a017281d9fa66fef0a918e89ed"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_gain_pha_mis_rep__t.html#aca30d3a017281d9fa66fef0a918e89ed">reserved0</a></td></tr>
<tr class="memdesc:aca30d3a017281d9fa66fef0a918e89ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:aca30d3a017281d9fa66fef0a918e89ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a022f159a5bf5bcd03c11a0a2dd41ca7c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a022f159a5bf5bcd03c11a0a2dd41ca7c"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_gain_pha_mis_rep__t.html#a022f159a5bf5bcd03c11a0a2dd41ca7c">reserved1</a></td></tr>
<tr class="memdesc:a022f159a5bf5bcd03c11a0a2dd41ca7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a022f159a5bf5bcd03c11a0a2dd41ca7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39652a22b65eac5a1b9e3c60cf011dd6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39652a22b65eac5a1b9e3c60cf011dd6"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_gain_pha_mis_rep__t.html#a39652a22b65eac5a1b9e3c60cf011dd6">txGainVal</a> [9U]</td></tr>
<tr class="memdesc:a39652a22b65eac5a1b9e3c60cf011dd6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The measured TX PA loopback tone power at the RX ADC input, <br />
 for each enabled TX channel, at each enabled RF frequency is reported <br />
 here. Byte numbers corresponding to different TX and RF, in this field are <br />
 here: <br />
 RF1 RF2 RF3 <br />
 TX0 1:0 7:6 13:12 <br />
 TX1 3:2 9:8 15:14 <br />
 TX2 5:4 11:10 17:16 <br />
 1 LSB = 0.1dBm, signed number <br />
 Only the entries of enabled RF Frequencies and enabled TX channels are valid. <br />
. <br /></td></tr>
<tr class="separator:a39652a22b65eac5a1b9e3c60cf011dd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ad38a3e838f23603b313ba3e63816d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ad38a3e838f23603b313ba3e63816d3"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_gain_pha_mis_rep__t.html#a1ad38a3e838f23603b313ba3e63816d3">txPhaVal</a> [9U]</td></tr>
<tr class="memdesc:a1ad38a3e838f23603b313ba3e63816d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The measured TX phase for each enabled channel, at each enabled RF <br />
 frequency is reported here.Byte numbers corresponding to different TX and <br />
 RF, in this field are here: <br />
 RF1 RF2 RF3 <br />
 TX0 1:0 7:6 13:12 <br />
 TX1 3:2 9:8 15:14 <br />
 TX2 5:4 11:10 17:16 <br />
 1 LSB = 360(degree)/2^16. <br />
 Only the entries of enabled RF Frequencies and enabled TX channels are <br />
 valid. <br />
 Note: these phases include an unknown bias common to all TX channels. <br />
. <br /></td></tr>
<tr class="separator:a1ad38a3e838f23603b313ba3e63816d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c359a26abee32e8ccb3b7381a343f33"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c359a26abee32e8ccb3b7381a343f33"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_gain_pha_mis_rep__t.html#a2c359a26abee32e8ccb3b7381a343f33">reserved2</a></td></tr>
<tr class="memdesc:a2c359a26abee32e8ccb3b7381a343f33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a2c359a26abee32e8ccb3b7381a343f33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae4a5b7f6f0a89d643bba17b026e6137"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae4a5b7f6f0a89d643bba17b026e6137"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_gain_pha_mis_rep__t.html#aae4a5b7f6f0a89d643bba17b026e6137">reserved3</a></td></tr>
<tr class="memdesc:aae4a5b7f6f0a89d643bba17b026e6137"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:aae4a5b7f6f0a89d643bba17b026e6137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8da52e84bbd8a952fb55523889cc85e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae8da52e84bbd8a952fb55523889cc85e"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_gain_pha_mis_rep__t.html#ae8da52e84bbd8a952fb55523889cc85e">timeStamp</a></td></tr>
<tr class="memdesc:ae8da52e84bbd8a952fb55523889cc85e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon exceeding allotted bit width) <br />
. <br /></td></tr>
<tr class="separator:ae8da52e84bbd8a952fb55523889cc85e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing the measured Tx gain and phase mismatch values during an explicit monitoring chirp. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_TX_GAIN_MISMATCH_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
